Skip to main content

Get text summary for Session

GET /api/v1/session/{sessionId}/summary​

Description​

Get a summary of the session.

Request Parameters (path)​

NameDescriptionRequiredTypeDefault Value
sessionIdThe identifier of the sessionYesuuid
languageThe language used for presentationNoLanguageClinic default language

Language​

String valueDescription
enEnglish
fiFinnish
noNorwegian
svSwedish

Response​

HTTP Status Codes​

CodeDescription
200Success, returns a Summary
401Unauthorized, missing X-Red-Robin-API-Key header
403Forbidden, invalid X-Red-Robin-API-Key header
404Not found, invalid configuration

Summary​

NameDescriptionTypeExample
dataA text version summary of the sessionstring\"Reason for contact:\\nFever\\n\\nCurrent...

Example Usage​

GET /api/v1/session/{sessionId}/summary
const headers = new Headers();
headers.append('X-Red-Robin-API-Key', 'API_KEY');
headers.append('Content-Type', 'application/json');

const requestOptions = {
method: 'GET',
headers: headers,
};

fetch('https://se.visibatriage.com/api/v1/session/{sessionId}/summary', requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Success Response​

{
"data": "\"Reason for contact:\\nFever\\n\\nCurrent information:\\nfever\\n\\nConfirmed symptoms:\\nFever onset: Less than 1 hour ago\\nFever variation: Constant\\nFever trend: Increased greatly\\nTemperature: 36.5\\n\\n\""
}